package com.example.nto.controller;

import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.entity.EmployeeData;
import com.example.nto.entity.Entry;
import com.example.nto.service.EmployeeService;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;
import java.util.List;

@RestController
@RequiredArgsConstructor
@RequestMapping("/api/employee")
public class EmployeeController {
    private final EmployeeService employeeService;

    @PostMapping("/auth")
    private void auth() {}

    @PostMapping("/info")
    private EmployeeData info() {
        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
        String login = authentication.getName();
        return employeeService.info(login);
    }

    @PostMapping("/open")
    private void open(@RequestParam("value") long value) {
        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
        String login = authentication.getName();
        employeeService.open(login, value);
    }

    @PostMapping("/get-entry-list")
    private List<Entry> getEntryList() {
        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
        String login = authentication.getName();
        return employeeService.getEntryList(login);
    }

    @PostMapping("/am-i-blocked")
    private boolean amIBlocked() {
        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
        String login = authentication.getName();
        return employeeService.amIBlocked(login);
    }
}
